Deep Security Manager REST API

Path: / rest / monitoring / usages / databases

List high-level database usage information.


Method Summary
ResourceDescription
GET /rest/monitoring/usages/databases?tenantName=…&tID=…&from=…&to=…&sID=…List high-level database usage information.

Method Detail
HTTP Example:
GET /rest/monitoring/usages/databases?tenantName=…&tID=…&from=…&to=…&sID=…

API Example:

IMonitoringAPI.listDatabaseUsage({'tenantName': /* tenantName the name of the tenant to retrieve the usage information for. */,
  'tID': /* tID the ID of the tenant to retrieve the usage information for. */,
  'from': /* from The date from which to list the usages. */,
  'to': /* to The date up to which to list the usages. */,
  'sID': /* sID the session identifier. */});

List high-level database usage information.

Output:
TenantDatabaseUsageListing - The requested database usage statistics.
Query parameters:
tenantName - the name of the tenant to retrieve the usage information for.
tID - the ID of the tenant to retrieve the usage information for. If neither tenantName nor tID are specified, usage information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
from - The date from which to list the usages. If not set, then a time of one hour ago is used.
to - The date up to which to list the usages. If not set, the current server time is used.
sID - the session identifier. This must belong to an administrator from the primary tenant.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.